Skip to main content
/

Site Navigation

Your Account

Choose Language

Changes to IMU/Depth Module 2.0 for all OpenROVs (Production started July 2015) Introduction

Edit by OpenROV (Sofar)

Edit approved by OpenROV (Sofar)

Before
After
Unchanged
Summary
install and troubleshoot the v2.8 IMU on onto any standard OpenROV with updated software. OpenROV.
install and troubleshoot the v2.8 IMU on onto any standard OpenROV with updated software. OpenROV.